// <auto-generated>
//     Generated by the protocol buffer compiler.  DO NOT EDIT!
//     source: openadr/OpenAdrEvent.proto
// </auto-generated>
#pragma warning disable 1591, 0612, 3021, 8981
#region Designer generated code

using pb = global::Google.Protobuf;
using pbc = global::Google.Protobuf.Collections;
using pbr = global::Google.Protobuf.Reflection;
using scg = global::System.Collections.Generic;
namespace Openadrevent {

  /// <summary>Holder for reflection information generated from openadr/OpenAdrEvent.proto</summary>
  public static partial class OpenAdrEventReflection {

    #region Descriptor
    /// <summary>File descriptor for openadr/OpenAdrEvent.proto</summary>
    public static pbr::FileDescriptor Descriptor {
      get { return descriptor; }
    }
    private static pbr::FileDescriptor descriptor;

    static OpenAdrEventReflection() {
      byte[] descriptorData = global::System.Convert.FromBase64String(
          string.Concat(
            "ChpvcGVuYWRyL09wZW5BZHJFdmVudC5wcm90bxIMb3BlbmFkcmV2ZW50GiFv",
            "cGVuYWRyL0V2ZW50RGVzY3JpcHRvclR5cGUucHJvdG8aHm9wZW5hZHIvQWN0",
            "aXZlUGVyaW9kVHlwZS5wcm90bxodb3BlbmFkci9FdmVudFNpZ25hbFR5cGUu",
            "cHJvdG8aFG9wZW5hZHIvVGFyZ2V0LnByb3RvIpIFCgxPcGVuQWRyRXZlbnQS",
            "OwoQZXZlbnRfZGVzY3JpcHRvchgBIAEoCzIhLm9wZW5hZHJldmVudC5FdmVu",
            "dERlc2NyaXB0b3JUeXBlEjUKDWFjdGl2ZV9wZXJpb2QYAiABKAsyHi5vcGVu",
            "YWRyZXZlbnQuQWN0aXZlUGVyaW9kVHlwZRI0Cg1ldmVudF9zaWduYWxzGAMg",
            "AygLMh0ub3BlbmFkcmV2ZW50LkV2ZW50U2lnbmFsVHlwZRIkCgZ0YXJnZXQY",
            "BCABKAsyFC5vcGVuYWRyZXZlbnQuVGFyZ2V0Ek8KFnJlc3BvbnNlX3JlcXVp",
            "cmVkX3R5cGUYBSABKA4yLy5vcGVuYWRyZXZlbnQuT3BlbkFkckV2ZW50LlJl",
            "c3BvbnNlUmVxdWlyZWRUeXBlEk4KFm9wZW5fYWRyX2V2ZW50X3RyaWdnZXIY",
            "BiABKA4yLi5vcGVuYWRyZXZlbnQuT3BlbkFkckV2ZW50Lk9wZW5BZHJFdmVu",
            "dFRyaWdnZXIiLQoUUmVzcG9uc2VSZXF1aXJlZFR5cGUSCgoGYWx3YXlzEAAS",
            "CQoFbmV2ZXIQASLhAQoTT3BlbkFkckV2ZW50VHJpZ2dlchIXChNPbkFjdGl2",
            "ZVBlcmlvZFN0YXJ0EAASFQoRT25BY3RpdmVQZXJpb2RFbmQQARITCg9Pbklu",
            "dGVydmFsU3RhcnQQAhIRCg1PbkludGVydmFsRW5kEAMSGwoXT25CYXNlbGlu",
            "ZUludGVydmFsU3RhcnQQBBIZChVPbkJhc2VsaW5lSW50ZXJ2YWxFbmQQBRIS",
            "Cg5PbkNyZWF0ZWRFdmVudBAGEhIKDk9uRGVsZXRlZEV2ZW50EAcSEgoOT25V",
            "cGRhdGVkRXZlbnQQCEJyChljb20uY29kaWJseS5tb2RlbC5vcGVuYWRyQhFP",
            "cGVuQWRyRXZlbnRQcm90b8oCGURvbWFpbk1vZGVsXFByb3RvXE9wZW5hZHLi",
            "AiVEb21haW5Nb2RlbFxQcm90b1xPcGVuYWRyXEdQQk1ldGFkYXRhYgZwcm90",
            "bzM="));
      descriptor = pbr::FileDescriptor.FromGeneratedCode(descriptorData,
          new pbr::FileDescriptor[] { global::Openadrevent.EventDescriptorTypeReflection.Descriptor, global::Openadrevent.ActivePeriodTypeReflection.Descriptor, global::Openadrevent.EventSignalTypeReflection.Descriptor, global::Openadrevent.TargetReflection.Descriptor, },
          new pbr::GeneratedClrTypeInfo(null, null, new pbr::GeneratedClrTypeInfo[] {
            new pbr::GeneratedClrTypeInfo(typeof(global::Openadrevent.OpenAdrEvent), global::Openadrevent.OpenAdrEvent.Parser, new[]{ "EventDescriptor", "ActivePeriod", "EventSignals", "Target", "ResponseRequiredType", "OpenAdrEventTrigger" }, null, new[]{ typeof(global::Openadrevent.OpenAdrEvent.Types.ResponseRequiredType), typeof(global::Openadrevent.OpenAdrEvent.Types.OpenAdrEventTrigger) }, null, null)
          }));
    }
    #endregion

  }
  #region Messages
  public sealed partial class OpenAdrEvent : pb::IMessage<OpenAdrEvent>
  #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      , pb::IBufferMessage
  #endif
  {
    private static readonly pb::MessageParser<OpenAdrEvent> _parser = new pb::MessageParser<OpenAdrEvent>(() => new OpenAdrEvent());
    private pb::UnknownFieldSet _unknownFields;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pb::MessageParser<OpenAdrEvent> Parser { get { return _parser; } }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static pbr::MessageDescriptor Descriptor {
      get { return global::Openadrevent.OpenAdrEventReflection.Descriptor.MessageTypes[0]; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    pbr::MessageDescriptor pb::IMessage.Descriptor {
      get { return Descriptor; }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public OpenAdrEvent() {
      OnConstruction();
    }

    partial void OnConstruction();

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public OpenAdrEvent(OpenAdrEvent other) : this() {
      eventDescriptor_ = other.eventDescriptor_ != null ? other.eventDescriptor_.Clone() : null;
      activePeriod_ = other.activePeriod_ != null ? other.activePeriod_.Clone() : null;
      eventSignals_ = other.eventSignals_.Clone();
      target_ = other.target_ != null ? other.target_.Clone() : null;
      responseRequiredType_ = other.responseRequiredType_;
      openAdrEventTrigger_ = other.openAdrEventTrigger_;
      _unknownFields = pb::UnknownFieldSet.Clone(other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public OpenAdrEvent Clone() {
      return new OpenAdrEvent(this);
    }

    /// <summary>Field number for the "event_descriptor" field.</summary>
    public const int EventDescriptorFieldNumber = 1;
    private global::Openadrevent.EventDescriptorType eventDescriptor_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::Openadrevent.EventDescriptorType EventDescriptor {
      get { return eventDescriptor_; }
      set {
        eventDescriptor_ = value;
      }
    }

    /// <summary>Field number for the "active_period" field.</summary>
    public const int ActivePeriodFieldNumber = 2;
    private global::Openadrevent.ActivePeriodType activePeriod_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::Openadrevent.ActivePeriodType ActivePeriod {
      get { return activePeriod_; }
      set {
        activePeriod_ = value;
      }
    }

    /// <summary>Field number for the "event_signals" field.</summary>
    public const int EventSignalsFieldNumber = 3;
    private static readonly pb::FieldCodec<global::Openadrevent.EventSignalType> _repeated_eventSignals_codec
        = pb::FieldCodec.ForMessage(26, global::Openadrevent.EventSignalType.Parser);
    private readonly pbc::RepeatedField<global::Openadrevent.EventSignalType> eventSignals_ = new pbc::RepeatedField<global::Openadrevent.EventSignalType>();
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public pbc::RepeatedField<global::Openadrevent.EventSignalType> EventSignals {
      get { return eventSignals_; }
    }

    /// <summary>Field number for the "target" field.</summary>
    public const int TargetFieldNumber = 4;
    private global::Openadrevent.Target target_;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::Openadrevent.Target Target {
      get { return target_; }
      set {
        target_ = value;
      }
    }

    /// <summary>Field number for the "response_required_type" field.</summary>
    public const int ResponseRequiredTypeFieldNumber = 5;
    private global::Openadrevent.OpenAdrEvent.Types.ResponseRequiredType responseRequiredType_ = global::Openadrevent.OpenAdrEvent.Types.ResponseRequiredType.Always;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::Openadrevent.OpenAdrEvent.Types.ResponseRequiredType ResponseRequiredType {
      get { return responseRequiredType_; }
      set {
        responseRequiredType_ = value;
      }
    }

    /// <summary>Field number for the "open_adr_event_trigger" field.</summary>
    public const int OpenAdrEventTriggerFieldNumber = 6;
    private global::Openadrevent.OpenAdrEvent.Types.OpenAdrEventTrigger openAdrEventTrigger_ = global::Openadrevent.OpenAdrEvent.Types.OpenAdrEventTrigger.OnActivePeriodStart;
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public global::Openadrevent.OpenAdrEvent.Types.OpenAdrEventTrigger OpenAdrEventTrigger {
      get { return openAdrEventTrigger_; }
      set {
        openAdrEventTrigger_ = value;
      }
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override bool Equals(object other) {
      return Equals(other as OpenAdrEvent);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public bool Equals(OpenAdrEvent other) {
      if (ReferenceEquals(other, null)) {
        return false;
      }
      if (ReferenceEquals(other, this)) {
        return true;
      }
      if (!object.Equals(EventDescriptor, other.EventDescriptor)) return false;
      if (!object.Equals(ActivePeriod, other.ActivePeriod)) return false;
      if(!eventSignals_.Equals(other.eventSignals_)) return false;
      if (!object.Equals(Target, other.Target)) return false;
      if (ResponseRequiredType != other.ResponseRequiredType) return false;
      if (OpenAdrEventTrigger != other.OpenAdrEventTrigger) return false;
      return Equals(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override int GetHashCode() {
      int hash = 1;
      if (eventDescriptor_ != null) hash ^= EventDescriptor.GetHashCode();
      if (activePeriod_ != null) hash ^= ActivePeriod.GetHashCode();
      hash ^= eventSignals_.GetHashCode();
      if (target_ != null) hash ^= Target.GetHashCode();
      if (ResponseRequiredType != global::Openadrevent.OpenAdrEvent.Types.ResponseRequiredType.Always) hash ^= ResponseRequiredType.GetHashCode();
      if (OpenAdrEventTrigger != global::Openadrevent.OpenAdrEvent.Types.OpenAdrEventTrigger.OnActivePeriodStart) hash ^= OpenAdrEventTrigger.GetHashCode();
      if (_unknownFields != null) {
        hash ^= _unknownFields.GetHashCode();
      }
      return hash;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public override string ToString() {
      return pb::JsonFormatter.ToDiagnosticString(this);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void WriteTo(pb::CodedOutputStream output) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      output.WriteRawMessage(this);
    #else
      if (eventDescriptor_ != null) {
        output.WriteRawTag(10);
        output.WriteMessage(EventDescriptor);
      }
      if (activePeriod_ != null) {
        output.WriteRawTag(18);
        output.WriteMessage(ActivePeriod);
      }
      eventSignals_.WriteTo(output, _repeated_eventSignals_codec);
      if (target_ != null) {
        output.WriteRawTag(34);
        output.WriteMessage(Target);
      }
      if (ResponseRequiredType != global::Openadrevent.OpenAdrEvent.Types.ResponseRequiredType.Always) {
        output.WriteRawTag(40);
        output.WriteEnum((int) ResponseRequiredType);
      }
      if (OpenAdrEventTrigger != global::Openadrevent.OpenAdrEvent.Types.OpenAdrEventTrigger.OnActivePeriodStart) {
        output.WriteRawTag(48);
        output.WriteEnum((int) OpenAdrEventTrigger);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(output);
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalWriteTo(ref pb::WriteContext output) {
      if (eventDescriptor_ != null) {
        output.WriteRawTag(10);
        output.WriteMessage(EventDescriptor);
      }
      if (activePeriod_ != null) {
        output.WriteRawTag(18);
        output.WriteMessage(ActivePeriod);
      }
      eventSignals_.WriteTo(ref output, _repeated_eventSignals_codec);
      if (target_ != null) {
        output.WriteRawTag(34);
        output.WriteMessage(Target);
      }
      if (ResponseRequiredType != global::Openadrevent.OpenAdrEvent.Types.ResponseRequiredType.Always) {
        output.WriteRawTag(40);
        output.WriteEnum((int) ResponseRequiredType);
      }
      if (OpenAdrEventTrigger != global::Openadrevent.OpenAdrEvent.Types.OpenAdrEventTrigger.OnActivePeriodStart) {
        output.WriteRawTag(48);
        output.WriteEnum((int) OpenAdrEventTrigger);
      }
      if (_unknownFields != null) {
        _unknownFields.WriteTo(ref output);
      }
    }
    #endif

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public int CalculateSize() {
      int size = 0;
      if (eventDescriptor_ != null) {
        size += 1 + pb::CodedOutputStream.ComputeMessageSize(EventDescriptor);
      }
      if (activePeriod_ != null) {
        size += 1 + pb::CodedOutputStream.ComputeMessageSize(ActivePeriod);
      }
      size += eventSignals_.CalculateSize(_repeated_eventSignals_codec);
      if (target_ != null) {
        size += 1 + pb::CodedOutputStream.ComputeMessageSize(Target);
      }
      if (ResponseRequiredType != global::Openadrevent.OpenAdrEvent.Types.ResponseRequiredType.Always) {
        size += 1 + pb::CodedOutputStream.ComputeEnumSize((int) ResponseRequiredType);
      }
      if (OpenAdrEventTrigger != global::Openadrevent.OpenAdrEvent.Types.OpenAdrEventTrigger.OnActivePeriodStart) {
        size += 1 + pb::CodedOutputStream.ComputeEnumSize((int) OpenAdrEventTrigger);
      }
      if (_unknownFields != null) {
        size += _unknownFields.CalculateSize();
      }
      return size;
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(OpenAdrEvent other) {
      if (other == null) {
        return;
      }
      if (other.eventDescriptor_ != null) {
        if (eventDescriptor_ == null) {
          EventDescriptor = new global::Openadrevent.EventDescriptorType();
        }
        EventDescriptor.MergeFrom(other.EventDescriptor);
      }
      if (other.activePeriod_ != null) {
        if (activePeriod_ == null) {
          ActivePeriod = new global::Openadrevent.ActivePeriodType();
        }
        ActivePeriod.MergeFrom(other.ActivePeriod);
      }
      eventSignals_.Add(other.eventSignals_);
      if (other.target_ != null) {
        if (target_ == null) {
          Target = new global::Openadrevent.Target();
        }
        Target.MergeFrom(other.Target);
      }
      if (other.ResponseRequiredType != global::Openadrevent.OpenAdrEvent.Types.ResponseRequiredType.Always) {
        ResponseRequiredType = other.ResponseRequiredType;
      }
      if (other.OpenAdrEventTrigger != global::Openadrevent.OpenAdrEvent.Types.OpenAdrEventTrigger.OnActivePeriodStart) {
        OpenAdrEventTrigger = other.OpenAdrEventTrigger;
      }
      _unknownFields = pb::UnknownFieldSet.MergeFrom(_unknownFields, other._unknownFields);
    }

    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public void MergeFrom(pb::CodedInputStream input) {
    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
      input.ReadRawMessage(this);
    #else
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, input);
            break;
          case 10: {
            if (eventDescriptor_ == null) {
              EventDescriptor = new global::Openadrevent.EventDescriptorType();
            }
            input.ReadMessage(EventDescriptor);
            break;
          }
          case 18: {
            if (activePeriod_ == null) {
              ActivePeriod = new global::Openadrevent.ActivePeriodType();
            }
            input.ReadMessage(ActivePeriod);
            break;
          }
          case 26: {
            eventSignals_.AddEntriesFrom(input, _repeated_eventSignals_codec);
            break;
          }
          case 34: {
            if (target_ == null) {
              Target = new global::Openadrevent.Target();
            }
            input.ReadMessage(Target);
            break;
          }
          case 40: {
            ResponseRequiredType = (global::Openadrevent.OpenAdrEvent.Types.ResponseRequiredType) input.ReadEnum();
            break;
          }
          case 48: {
            OpenAdrEventTrigger = (global::Openadrevent.OpenAdrEvent.Types.OpenAdrEventTrigger) input.ReadEnum();
            break;
          }
        }
      }
    #endif
    }

    #if !GOOGLE_PROTOBUF_REFSTRUCT_COMPATIBILITY_MODE
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    void pb::IBufferMessage.InternalMergeFrom(ref pb::ParseContext input) {
      uint tag;
      while ((tag = input.ReadTag()) != 0) {
        switch(tag) {
          default:
            _unknownFields = pb::UnknownFieldSet.MergeFieldFrom(_unknownFields, ref input);
            break;
          case 10: {
            if (eventDescriptor_ == null) {
              EventDescriptor = new global::Openadrevent.EventDescriptorType();
            }
            input.ReadMessage(EventDescriptor);
            break;
          }
          case 18: {
            if (activePeriod_ == null) {
              ActivePeriod = new global::Openadrevent.ActivePeriodType();
            }
            input.ReadMessage(ActivePeriod);
            break;
          }
          case 26: {
            eventSignals_.AddEntriesFrom(ref input, _repeated_eventSignals_codec);
            break;
          }
          case 34: {
            if (target_ == null) {
              Target = new global::Openadrevent.Target();
            }
            input.ReadMessage(Target);
            break;
          }
          case 40: {
            ResponseRequiredType = (global::Openadrevent.OpenAdrEvent.Types.ResponseRequiredType) input.ReadEnum();
            break;
          }
          case 48: {
            OpenAdrEventTrigger = (global::Openadrevent.OpenAdrEvent.Types.OpenAdrEventTrigger) input.ReadEnum();
            break;
          }
        }
      }
    }
    #endif

    #region Nested types
    /// <summary>Container for nested types declared in the OpenAdrEvent message type.</summary>
    [global::System.Diagnostics.DebuggerNonUserCodeAttribute]
    [global::System.CodeDom.Compiler.GeneratedCode("protoc", null)]
    public static partial class Types {
      public enum ResponseRequiredType {
        [pbr::OriginalName("always")] Always = 0,
        [pbr::OriginalName("never")] Never = 1,
      }

      public enum OpenAdrEventTrigger {
        [pbr::OriginalName("OnActivePeriodStart")] OnActivePeriodStart = 0,
        [pbr::OriginalName("OnActivePeriodEnd")] OnActivePeriodEnd = 1,
        [pbr::OriginalName("OnIntervalStart")] OnIntervalStart = 2,
        [pbr::OriginalName("OnIntervalEnd")] OnIntervalEnd = 3,
        [pbr::OriginalName("OnBaselineIntervalStart")] OnBaselineIntervalStart = 4,
        [pbr::OriginalName("OnBaselineIntervalEnd")] OnBaselineIntervalEnd = 5,
        [pbr::OriginalName("OnCreatedEvent")] OnCreatedEvent = 6,
        [pbr::OriginalName("OnDeletedEvent")] OnDeletedEvent = 7,
        [pbr::OriginalName("OnUpdatedEvent")] OnUpdatedEvent = 8,
      }

    }
    #endregion

  }

  #endregion

}

#endregion Designer generated code
